AUTOLOG(8)

NAZWA
autolog - wyloguj nieaktywnych użytkowników

SKŁADNIA
autolog [opcje]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Program ten czyta plik utmp, pozycja po pozycji. Nazwa użytkownika dla każdego z procesów użytkowników porównywana jest z zapisami w pliku konfiguracyjnym autolog.conf. Pierwszy zapis pasujący zarówno do nazwy, grupy jak i linii terminalowej posłuży do przeprowadzenia automatycznego zakończenia sesji pracy użytkownika (wylogowania).

OPCJE

-a  (all processes - wszystkie procesy) Pokazuje informację o WSZYSTKICH zapisach utmp -- nie tylko procesach użytkowników.

-d  (debug) Pomocne przy regulowaniu pliku konfiguracyjnego. Program działa w tle zamiast rozwidlania (fork) i podaje szczegółowe komunikaty o tym, co robi.

-n  (nokill) Użyj jej do zapobieżenia faktycznemu "ubijaniu" przez autolog kogokolwiek. Posłuż się łącznie opcjami -d i -n przy regulowaniu nowego pliku konfiguracyjnego.

-f nazwa_pliku_konfiguracyjnego
    Unieważnia domyślne ustawienie pliku konfiguracyjnego: /etc/autolog.conf

-l nazwa_pliku_logu
    Unieważnia domyślne ustawienie nazwy pliku logu: /var/log/autolog.log. Zauważ, że jeśli plik ten nie istnieje, to nie nastąpi rejestrowanie do logu. Utwórz plik (przy pomocy touch) by włączyć rejestrowanie działań.

-t idle_time
    Unieważnia wewnętrzny domyślny czas nieaktywności (w minutach).

-g grace_period
    Unieważnia wewnętrzny domyślny okres karencji (w sekundach).

-m yes/no
    Unieważnia wewnętrzny przełącznik wysyłania poczty. Ustawienie "yes" powoduje, że program będzie wysyłał pocztę do użytkowników zaraz po ich "ubiciu".

-c yes/no
    Unieważnia wewnętrzny przełącznik "pre-clear". Ustawienie "yes" powoduje, że program będzie czyścił ekran terminala przed ostrzeżeniem użytkownika.

-w yes/no
    Wylicza czasy oczekiwania w oparciu o całkowity czas sesji pracy -- nie czas nieaktywności. (ciężkie)

-L yes/no
    Jeśli ustawiona na "yes", to działania będą rejestrowane w pliku logu, jeśli takowy istnieje.

ZOBACZ TAKŻE
autolog.conf(5)

AUTOR
Kyle Bateman <kyle@actarg.com>

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 autolog

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.